We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 3480

Foundation F1.4: Upgrading your Foundation Express license to 2.0.x


Keywords: license, fpga, foundation, express, FND-EXP, upgrade, license.dat

Urgency: Standard

General Description:
Foundation F1.4 is now being shipped with Foundation Express. The Express
software is version, which is slightly newer than the Alliance version
(version of FPGA Express, shipped by Synopsys.

In order to license Foundation Express, you need a valid license.dat from
Xilinx. There are three categories that users will fall into:

1. Current User of the Early Access version of Foundation Express

2. Current User of Foundation synthesis (Metamor)

3. New User of Foundation or Foundation synthesis

If you are not able to open Foundation Express, please consult the Foundation
Express Users Guide that was shipped with the software. General licensing
issues will not be covered in this solution.

If you are able to open Foundation Express, and you do not have a BASE license,
but cannot access the Constraints GUI (Synthesis -> Edit Constraints), then
you need to follow one of the following solutions.



For Current Users of the Early Access version of Foundation Express:

If your license.dat contains FND-EXP-PC in the INCREMENT section, then you have
an Early Access license for Foundation Express. This allows you to access the
Foundation Express tools, but a new feature has been added that allows access
to the Constraints GUI.

You will notice that the PACKAGE statement in your license looks similar to the
PACKAGE below, but you do not have the "Constraint-Mgr" line. To upgrade your
license, replace your PACKAGE section with this one here:

PACKAGE FND-EXP-PC xilinxd 1.000 30A0C0B1948681FADED8 \
COMPONENTS="system-PC bit-PC \
xc3000D-PC xc4000X-PC xc5200X-PC \
ngd2vhdl-PC verilog-PC \
Foundation-PC X-VHDL-PC \
FPGA-Express:1997.110 \
FPGA-Express-VHDL-Base:1997.110 \
FPGA-Express-VLOG-Base:1997.110 \
FPGA-Express-XC3k-Optimizer:1997.110 \
FPGA-Express-XC4k-Optimizer:1997.110 \
FPGA-Express-XC5k-Optimizer:1997.110 \
FPGA-Express-XC9k-Optimizer:1997.110 \
FPGA-Express-Constraint-Mgr:1997.110 "

Since the INCREMENT line has not been modified, the hostid and expiration date
will remain the same.


For New Users of Foundation or Foundation synthesis:

If you are a new user, or if your license.dat does not enable synthesis
support, then you must contact Xilinx Customer Service to obtain a new license.

The Foundation Express User Guide details the information required for a new
license on pages 2-11 to 2-13. This section includes all the information for
contacting Xilinx Customer Service as well.

Note: A demo license.dat can be found on the Foundation Express CD. This
license will allow users to access all tools with four exceptions. Demo users
will not be able to:

- use the Express Constraints GUI
- use the Timing Analyzer
- create a bitstream for download
- target devices larger than 10k gates

Please register your software with Xilinx Customer Service to obtain a full


For Current Users of Foundation synthesis (Metamor):

If your license.dat contains FND-STV-PC or FND-BSV-PC in the INCREMENT section,
then you have a Standard or Base (respectively) license for Foundation and
Metamor. This upgrade is documented in the Foundation Express User Guide on
pages 2-6 to 2-8, as well as in the "Read Me First" document. These two hard-
copy documents were shipped with the software.

The upgrade process here is similar to the upgrade for Early Access customers,
but you will obtain the PACKAGE section from a file called PKGVER.TXT, found
on the root of the Foundation Express CD.

Note: Base users will not have access to the Constraints GUI.
AR# 3480
Date Created 02/18/1998
Last Updated 03/19/2000
Status Archive
Type General Article